Index: /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AdminController.cs
===================================================================
--- /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AdminController.cs	(revision 6141)
+++ /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AdminController.cs	(revision 6142)
@@ -42,5 +42,5 @@
 
             return View(algorithmClasses);
-        }//ActionResult AlgorithmClass
+        }//ActionResult AlgorithmClassC:\SYS\profiles\schwgh\Desktop\WebApplication\MVC2\HLWebOKBAdminPlugin\Views\Admin\Algorithm.aspx
 
         public ActionResult Algorithm() {
@@ -73,4 +73,9 @@
             return View(problem);
         }//Problem
+
+        public ActionResult OKBNamedItemList_Test() {
+            return View();
+        }//Problem
+
     }
 }
Index: /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/ProblemController.cs
===================================================================
--- /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/ProblemController.cs	(revision 6141)
+++ /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/ProblemController.cs	(revision 6142)
@@ -36,8 +36,53 @@
             // we can also use the Problem class. (?)
 			ProblemModel pm = new ProblemModel();
-            pm.Problem = (Problem)pm.Problems.Where(x => x.Id.Equals(id)).FirstOrDefault();
+            if(id == 0)
+                pm.Problem = new Problem();
+            else
+                pm.Problem = (Problem)pm.Problems.Where(x => x.Id.Equals(id)).FirstOrDefault();
 			return View(pm);
 		}
 
+        public ActionResult SaveChanges(FormCollection collection) {            
+            long problemId = long.Parse(collection.Get("ProblemId"));
+            String problemName = collection.Get("ProblemName");
+            String problemDescription = collection.Get("ProblemDescription");
+            String problemDataTypeName = collection.Get("ProblemDataTypeName");
+            long problemClassId = long.Parse(collection.Get("ProblemClassId"));
+            long plattformId = long.Parse(collection.Get("PlattformId"));
+
+            // Later, we will get the runs from the session ...
+            ProblemModel pm = new ProblemModel();
+            pm.Problem = (Problem)pm.Problems.Where(x => x.Id.Equals(problemId)).FirstOrDefault();
+
+            pm.Problem.Name = problemName;
+            pm.Problem.Description = problemDescription;
+            pm.Problem.DataTypeName = problemDataTypeName;
+            pm.Problem.ProblemClassId = problemClassId;
+            pm.Problem.PlatformId = plattformId;
+
+            pm.SaveProblem(pm.Problem);
+
+            return View("Index",pm);
+        }
+
+        //public ActionResult CreateProblem(FormCollection collection) {
+        //    Problem problem = new Problem();
+        //    String problemName = collection.Get("ProblemName");
+        //    long problemClassId = long.Parse(collection.Get("ProblemClassId"));
+        //    long plattformId = long.Parse(collection.Get("PlattformId"));
+        //    problem.Name = problemName;
+        //    problem.ProblemClassId = problemClassId;
+        //    problem.PlatformId = plattformId;
+        //    problem.DataTypeName = "";
+        //    problem.DataTypeTypeName = "";
+        //    problem.Description = "";
+
+        //    // Later, we will get the runs from the session ..
+        //    ProblemModel pm = new ProblemModel();
+        //    pm.CreateProblem(problem);
+
+        //    return View("Index", pm);
+        //}
+
 	}
 }
Index: /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/ProblemModel.cs
===================================================================
--- /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/ProblemModel.cs	(revision 6141)
+++ /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/ProblemModel.cs	(revision 6142)
@@ -21,5 +21,22 @@
                 Problem[] problems = adminClient.GetProblems();
                 return problems.ToList<Problem>();
+            }
+        }
 
+        public List<ProblemClass> ProblemClasses {
+            get {
+                AdministrationServiceClient adminClient = Admin.GetClientFactory("okbtester", "okbtester");
+                IList<ProblemClass> problemClassList = new List<ProblemClass>();
+                ProblemClass[] problemClass = adminClient.GetProblemClasses();
+                return problemClass.ToList<ProblemClass>();
+            }
+        }
+
+        public List<Platform> Plattforms {
+            get {
+                AdministrationServiceClient adminClient = Admin.GetClientFactory("okbtester", "okbtester");
+                IList<Platform> plattformList = new List<Platform>();
+                Platform[] plattforms = adminClient.GetPlatforms();
+                return plattforms.ToList<Platform>();
             }
         }
@@ -30,4 +47,14 @@
         public Problem Problem { get; set; }
 
+        public void SaveProblem(Problem problem) {
+            AdministrationServiceClient adminClient = Admin.GetClientFactory("okbtester", "okbtester");
+            adminClient.UpdateProblem(problem);
+        }
+
+        public void CreateProblem(Problem problem) {
+            AdministrationServiceClient adminClient = Admin.GetClientFactory("okbtester", "okbtester");
+            adminClient.AddProblem(problem);
+        }
+
     }
 }
Index: /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Detail.aspx
===================================================================
--- /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Detail.aspx	(revision 6141)
+++ /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Detail.aspx	(revision 6142)
@@ -7,4 +7,6 @@
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
+    <% using(Html.BeginForm("SaveChanges", "Problem")) %>
+    <% { %>
     <h2>
         Detail</h2>
@@ -18,11 +20,72 @@
         Problem p = ((ProblemModel)Model).Problem;
     %>
-    Id:
-    <%: Html.Label(p.Id.ToString()) %><br />
-    Name:
-    <%: Html.Label(p.Name) %><br />
-    Description:
-    <%: Html.Label(p.Description) %><br />
-    DataTypeName:
-    <%: Html.Label(p.DataTypeName) %><br />
+    <table border="1">
+        <tr>
+            <td>
+                Id:
+            </td>
+            <td>
+                <%: Html.Label(p.Id.ToString())%>
+            </td>
+            <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString())%>
+        </tr>
+        <tr>
+            <td>
+                Name:
+            </td>
+            <td>
+                <%: Html.TextBox("ProblemName", p.Name, p.Name)%>
+            </td>
+        </tr>
+        <tr>
+            <td>
+                Description:
+            </td>
+            <td>
+                <%: Html.TextBox("ProblemDescription", p.Description, p.Description)%>
+            </td>
+        </tr>
+        <tr>
+            <td>
+                DataTypeName:
+            </td>
+            <td>
+                <%: Html.TextBox("ProblemDataTypeName", p.DataTypeName, p.DataTypeName)%>
+            </td>
+        </tr>
+        <tr>
+            <td>
+                Problem Class:
+            </td>
+            <td>
+                <select name="ProblemClassId">
+                    <% foreach(ProblemClass pc in ((ProblemModel)Model).ProblemClasses) {  %>
+                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
+                    <% } %>
+                </select>
+            </td>
+        </tr>
+        <tr>
+            <td>
+                Plattforms:
+            </td>
+            <td>
+                <select name="PlattformId">
+                    <% foreach(Platform pc in ((ProblemModel)Model).Plattforms) {  %>
+                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
+                    <% } %>
+                </select>
+            </td>
+        </tr>
+        <tr>
+            <td>
+                Action:
+            </td>
+            <td>
+                <input type="submit" value="save" />
+            </td>
+        </tr>
+    </table>    
+    <%: Html.ActionLink("back to Index","Index") %>
+    <% } %>
 </asp:Content>
Index: /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Index.aspx
===================================================================
--- /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Index.aspx	(revision 6141)
+++ /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Index.aspx	(revision 6142)
@@ -7,23 +7,27 @@
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <h2>
-        Problems</h2>
-    <table>
-        <tr>
-            <td>
-                <ul>
-                    <%
-                        // We get this from the Controller (Index)
-                        foreach (Problem p in ((ProblemModel)Model).Problems)
-                        {  %>
-                    <li>
-                        <%: Html.ActionLink(p.Name, "Detail",new {p.Id}) %></li>
-                    <% } %>
-                </ul>
-            </td>
-            <td>
-                <!-- maybe we can use here partial views that will be shown ...-->
-            </td>
-        </tr>
-    </table>
+    <h2>Problems</h2>
+    <div style="height:150px; overflow:scroll;">
+        <table>
+            <!--// We get this from the Controller (Index)-->
+            <% foreach(Problem p in ((ProblemModel)Model).Problems) {  %>
+            <tr>
+                <td>
+                    <%: Html.ActionLink(p.Name, "Detail",new {p.Id}) %>
+                </td>
+                <td>
+                    <%: Html.Label(p.Description) %>
+                </td>
+                <td>
+                    <%: Html.Label(p.DataTypeName)%>
+                </td>
+            </tr>
+            <% } %>
+        </table>
+    </div>
+
+      
+    <h2>Create new Problem</h2>
+ 
+       
 </asp:Content>