Index: branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/AuthenticationService.svc.wsdl
===================================================================
--- branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/AuthenticationService.svc.wsdl	(revision 6147)
+++ branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/AuthenticationService.svc.wsdl	(revision 6147)
@@ -0,0 +1,1 @@
+<?xml version="1.0" encoding="utf-8"?><wsdl:definitions name="AuthenticationService" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/"><wsp:Policy wsu:Id="AuthenticationService_policy"><wsp:ExactlyOne><wsp:All><sp:TransportBinding xmlns:sp="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy"><wsp:Policy><sp:TransportToken><wsp:Policy><sp:HttpsToken RequireClientCertificate="false"/></wsp:Policy></sp:TransportToken><sp:AlgorithmSuite><wsp:Policy><sp:Basic256/></wsp:Policy></sp:AlgorithmSuite><sp:Layout><wsp:Policy><sp:Lax/></wsp:Policy></sp:Layout><sp:IncludeTimestamp/></wsp:Policy></sp:TransportBinding><sp:SignedSupportingTokens xmlns:sp="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy"><wsp:Policy><sp:UsernameToken sp:IncludeToken="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy/IncludeToken/AlwaysToRecipient"><wsp:Policy><sp:WssUsernameToken10/></wsp:Policy></sp:UsernameToken></wsp:Policy></sp:SignedSupportingTokens><sp:Wss10 xmlns:sp="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy"><wsp:Policy/></sp:Wss10></wsp:All></wsp:ExactlyOne></wsp:Policy><wsdl:types><xsd:schema targetNamespace="http://tempuri.org/Imports"><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc?xsd=xsd0" namespace="http://tempuri.org/"/><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc?xsd=xsd1" namespace="http://schemas.microsoft.com/2003/10/Serialization/"/><xsd:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc?xsd=xsd2" namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Authentication.DataTransfer"/></xsd:schema></wsdl:types><wsdl:message name="IAuthenticationService_GetUser_InputMessage"><wsdl:part name="parameters" element="tns:GetUser"/></wsdl:message><wsdl:message name="IAuthenticationService_GetUser_OutputMessage"><wsdl:part name="parameters" element="tns:GetUserResponse"/></wsdl:message><wsdl:message name="IAuthenticationService_GetUsers_InputMessage"><wsdl:part name="parameters" element="tns:GetUsers"/></wsdl:message><wsdl:message name="IAuthenticationService_GetUsers_OutputMessage"><wsdl:part name="parameters" element="tns:GetUsersResponse"/></wsdl:message><wsdl:portType name="IAuthenticationService"><wsdl:operation name="GetUser"><wsdl:input wsaw:Action="http://tempuri.org/IAuthenticationService/GetUser" message="tns:IAuthenticationService_GetUser_InputMessage"/><wsdl:output wsaw:Action="http://tempuri.org/IAuthenticationService/GetUserResponse" message="tns:IAuthenticationService_GetUser_OutputMessage"/></wsdl:operation><wsdl:operation name="GetUsers"><wsdl:input wsaw:Action="http://tempuri.org/IAuthenticationService/GetUsers" message="tns:IAuthenticationService_GetUsers_InputMessage"/><wsdl:output wsaw:Action="http://tempuri.org/IAuthenticationService/GetUsersResponse" message="tns:IAuthenticationService_GetUsers_OutputMessage"/></wsdl:operation></wsdl:portType><wsdl:binding name="AuthenticationService" type="tns:IAuthenticationService"><wsp:PolicyReference URI="#AuthenticationService_policy"/><soap:binding transport="http://schemas.xmlsoap.org/soap/http"/><wsdl:operation name="GetUser"><soap:operation soapAction="http://tempuri.org/IAuthenticationService/GetUser" style="document"/><wsdl:input><soap:body use="literal"/></wsdl:input><wsdl:output><soap:body use="literal"/></wsdl:output></wsdl:operation><wsdl:operation name="GetUsers"><soap:operation soapAction="http://tempuri.org/IAuthenticationService/GetUsers" style="document"/><wsdl:input><soap:body use="literal"/></wsdl:input><wsdl:output><soap:body use="literal"/></wsdl:output></wsdl:operation></wsdl:binding><wsdl:service name="AuthenticationService"><wsdl:port name="AuthenticationService" binding="tns:AuthenticationService"><soap:address location="https://services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc"/></wsdl:port></wsdl:service></wsdl:definitions>
Index: branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc.xsd_xsd0.xsd
===================================================================
--- branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc.xsd_xsd0.xsd	(revision 6147)
+++ branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc.xsd_xsd0.xsd	(revision 6147)
@@ -0,0 +1,1 @@
+<?xml version="1.0" encoding="utf-8"?><xs:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://tempuri.org/"><xs:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc?xsd=xsd1" namespace="http://schemas.microsoft.com/2003/10/Serialization/"/><xs:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc?xsd=xsd2" namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Authentication.DataTransfer"/><xs:element name="GetUser"><xs:complexType><xs:sequence><xs:element minOccurs="0" name="id" type="q1:guid" xmlns:q1="http://schemas.microsoft.com/2003/10/Serialization/"/></xs:sequence></xs:complexType></xs:element><xs:element name="GetUserResponse"><xs:complexType><xs:sequence><xs:element minOccurs="0" name="GetUserResult" nillable="true" type="q2:User" xmlns:q2="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Authentication.DataTransfer"/></xs:sequence></xs:complexType></xs:element><xs:element name="GetUsers"><xs:complexType><xs:sequence/></xs:complexType></xs:element><xs:element name="GetUsersResponse"><xs:complexType><xs:sequence><xs:element minOccurs="0" name="GetUsersResult" nillable="true" type="q3:ArrayOfUser" xmlns:q3="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Authentication.DataTransfer"/></xs:sequence></xs:complexType></xs:element></xs:schema>
Index: branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc.xsd_xsd1.xsd
===================================================================
--- branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc.xsd_xsd1.xsd	(revision 6147)
+++ branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc.xsd_xsd1.xsd	(revision 6147)
@@ -0,0 +1,1 @@
+<?xml version="1.0" encoding="utf-8"?><xs:schema attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://schemas.microsoft.com/2003/10/Serialization/"><xs:element name="anyType" nillable="true" type="xs:anyType"/><xs:element name="anyURI" nillable="true" type="xs:anyURI"/><xs:element name="base64Binary" nillable="true" type="xs:base64Binary"/><xs:element name="boolean" nillable="true" type="xs:boolean"/><xs:element name="byte" nillable="true" type="xs:byte"/><xs:element name="dateTime" nillable="true" type="xs:dateTime"/><xs:element name="decimal" nillable="true" type="xs:decimal"/><xs:element name="double" nillable="true" type="xs:double"/><xs:element name="float" nillable="true" type="xs:float"/><xs:element name="int" nillable="true" type="xs:int"/><xs:element name="long" nillable="true" type="xs:long"/><xs:element name="QName" nillable="true" type="xs:QName"/><xs:element name="short" nillable="true" type="xs:short"/><xs:element name="string" nillable="true" type="xs:string"/><xs:element name="unsignedByte" nillable="true" type="xs:unsignedByte"/><xs:element name="unsignedInt" nillable="true" type="xs:unsignedInt"/><xs:element name="unsignedLong" nillable="true" type="xs:unsignedLong"/><xs:element name="unsignedShort" nillable="true" type="xs:unsignedShort"/><xs:element name="char" nillable="true" type="tns:char"/><xs:simpleType name="char"><xs:restriction base="xs:int"/></xs:simpleType><xs:element name="duration" nillable="true" type="tns:duration"/><xs:simpleType name="duration"><xs:restriction base="xs:duration"><xs:pattern value="\-?P(\d*D)?(T(\d*H)?(\d*M)?(\d*(\.\d*)?S)?)?"/><xs:minInclusive value="-P10675199DT2H48M5.4775808S"/><xs:maxInclusive value="P10675199DT2H48M5.4775807S"/></xs:restriction></xs:simpleType><xs:element name="guid" nillable="true" type="tns:guid"/><xs:simpleType name="guid"><xs:restriction base="xs:string"><xs:pattern value="[\da-fA-F]{8}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{12}"/></xs:restriction></xs:simpleType><xs:attribute name="FactoryType" type="xs:QName"/><xs:attribute name="Id" type="xs:ID"/><xs:attribute name="Ref" type="xs:IDREF"/></xs:schema>
Index: branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc.xsd_xsd2.xsd
===================================================================
--- branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc.xsd_xsd2.xsd	(revision 6147)
+++ branches/OKBJavaConnector/AuthenticationService/xml-resources/web-service-references/AuthenticationService.svc/wsdl/services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc.xsd_xsd2.xsd	(revision 6147)
@@ -0,0 +1,1 @@
+<?xml version="1.0" encoding="utf-8"?><xs:schema elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Authentication.DataTransfer" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Authentication.DataTransfer" xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/"><xs:import schemaLocation="https://services.heuristiclab.com/OKB.SPR.Java-3.3/AuthenticationService.svc?xsd=xsd1" namespace="http://schemas.microsoft.com/2003/10/Serialization/"/><xs:complexType name="User"><xs:sequence><xs:element minOccurs="0" name="Id" type="ser:guid"/><xs:element minOccurs="0" name="Name" nillable="true" type="xs:string"/></xs:sequence></xs:complexType><xs:element name="User" nillable="true" type="tns:User"/><xs:complexType name="ArrayOfUser"><xs:sequence><xs:element minOccurs="0" maxOccurs="unbounded" name="User" nillable="true" type="tns:User"/></xs:sequence></xs:complexType><xs:element name="ArrayOfUser" nillable="true" type="tns:ArrayOfUser"/></xs:schema>